Page MenuHomeFreeBSD

x11/qterminal does not depend on liblxqt.
ClosedPublic

Authored by jsm on Jul 8 2018, 10:22 AM.

Details

Summary

Remove unneeded depency, and fix pkg-descr

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jsm created this revision.Jul 8 2018, 10:22 AM
miwi requested changes to this revision.Jul 8 2018, 10:38 AM

Hi,

Since that is a dependency change we have to bump the PORTREVISION.

This revision now requires changes to proceed.Jul 8 2018, 10:38 AM
jsm updated this revision to Diff 45013.Jul 8 2018, 11:22 AM

Keep linguisttools just remove liblxqt depency, bump portrevision.

Since upstream are moving back translations to teir respective components,
qt5-linquisttools are soon a depency again, and with run-time depency on qterminal-l10n,
it does not make a big difference, e.g qt5-linguisttools was pulled in anyways.

linimon retitled this revision from qterminal does not depend on liblxqt nor directly on qt5-linguisttools to x11/qterminal does not depend on liblxqt nor directly on qt5-linguisttools.Jul 8 2018, 12:05 PM
miwi accepted this revision.Jul 8 2018, 12:14 PM

LGTM.

This revision is now accepted and ready to land.Jul 8 2018, 12:14 PM
jsm retitled this revision from x11/qterminal does not depend on liblxqt nor directly on qt5-linguisttools to x11/qterminal does not depend on liblxqt..Jul 8 2018, 12:28 PM
jsm edited the summary of this revision. (Show Details)
This revision was automatically updated to reflect the committed changes.